<?php
session_start();
if (function_exists('set_time_limit')) set_time_limit(0);
include_once '../sys/inc/home.php';
include_once '../sys/inc/config.class.php';

$foot_s = "4";

$head = file_get_contents('templ/head.php');
$errors = array();

$set = Config::read('all');

include '../sys/settings/config.php';

$connect = mysql_connect($set['db']['host'], $set['db']['user'], $set['db']['pass']) OR DIE("Не могу создать соединение ");
mysql_select_db($set['db']['name']) or die(mysql_error());
mysql_query("SET NAMES 'utf8'");






if (isset($_POST['send'])) {
	if (empty($errors)) {	
		$_SESSION['adm_name'] = $_POST['adm_name'];
		$_SESSION['adm_pass'] = $_POST['adm_pass'];
	} 
}





echo $head;

if (empty($errors['query'])) {
	if (!mysql_query("INSERT INTO `users` (`id`, `name`, `passw`, `status`, `puttime`) 
	VALUES (1, '" . $_SESSION['adm_name'] . "', '" . md5($_SESSION['adm_pass']) . "', '4', NOW())")) 
		$errors['query'] = 'При формировании базы данных произошел збой! <br /> Начните  пожалуйста заново.<br /><br />' . mysql_error();
}
if (empty($errors)) :

?>
<div style="position:absolute;top:250px;left:48%;">
<h1>Все готово :)</h1>
<a href="../">Перейти на сайт</a>
</div>
<?php 
else: 
	echo '<div style="position:absolute;top:300px;left:35%;width:400px;">' . $errors['query'] . '</div>';
	//if (mysql_error()) echo mysql_error();
endif;

include 'templ/foot.php'
?>
